Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.authmsg
Class AuthProxy

    java.lang.Object
      com.rsa.authagent.authapi.authmsg.AuthProxy

    public class AuthProxy

extends java.lang.Object

This class performs tasks delegated by the AuthSession class. It is similar to the sUser structure in the C API.

Constructor Summary
`AuthProxy(ServerExchange sEx)`

Method Summary
`int` | `check(java.lang.String userID, java.lang.String passCode)`
`int` | `clientCheck(java.lang.String userID, java.lang.String passCode, java.net.InetAddress clientAddr)`
`AcePin` | `getAcePin()`
`java.lang.String` | `getShell()`
`int` | `lock(java.lang.String userID)`
`int` | `next(java.lang.String nextCode)`
`int` | `pin(java.lang.String userPin)`
`void` | `time()` Creates a time request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthProxy

    public AuthProxy(ServerExchange sEx)

Method Detail

### time

    public void time()
              throws AuthAgentException

  Creates a time request.

  Throws:
    `AuthAgentException`

### check

    public int check(java.lang.String userID,
                     java.lang.String passCode)
              throws AuthAgentException

  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.check(java.lang.String, java.lang.String)`

### clientCheck

    public int clientCheck(java.lang.String userID,
                           java.lang.String passCode,
                           java.net.InetAddress clientAddr)
                    throws AuthAgentException

  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.clientCheck(java.lang.String, java.lang.String, java.net.InetAddress)`

### lock

    public int lock(java.lang.String userID)
             throws AuthAgentException

  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.lock(java.lang.String)`

### next

    public int next(java.lang.String nextCode)
             throws AuthAgentException

  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.next(java.lang.String)`

### pin

    public int pin(java.lang.String userPin)
            throws AuthAgentException

  Throws:
    `AuthAgentException`
  See Also:
    `AuthSession.pin(java.lang.String)`

### getShell

    public java.lang.String getShell()

  Returns:
    Returns the shell.

### getAcePin

    public AcePin getAcePin()

  Returns:
    Returns the acePin.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.